STRUCT TEMPL(3)

NAME
boost::property_tree::customize_stream

SYNOPSIS

// In header: <boost/property_tree/stream_translator.hpp>
template<typename Ch, typename Traits, typename E, typename Enabler = void>
struct customize_stream {
  // public static functions
  static void insert(std::basic_ostream< Ch, Traits > &, const E &);
  static void extract(std::basic_istream< Ch, Traits > &, E &);
};

DESCRIPTION

  customize_stream public static functions

    1.

    static void insert(std::basic_ostream< Ch, Traits > & s, const E & e);

    2.

    static void extract(std::basic_istream< Ch, Traits > & s, E & e);